---
title: "GET /_system/core/upgrade_status/{internal_ip} - System · RUAL Documentation"
description: "GET: Get system upgrade status"
canonical: https://docs.rual.nl/cluster/api/system/system-core-upgrade-status--internal-ip-get
language: en
---

# GET /_system/core/upgrade_status/{internal_ip}

Get system upgrade status

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **internal_ip** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "internal_ip": "10.0.4.19",
  "status": "NO_UPGRADE_IN_PROGRESS"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `core_view` | Required scope: core_view |
